<?php
/*
 * Relation Demo
 * @date:11/02/2011
 * Description : Extend Relation Class relations
 * 				 then instanciate object relations
 * 				 with people.txt file desscription
 */

require_once 'init.php';

/*
 * Simple Data Controler
 */
if (!empty($_POST['whoami'])){$_SESSION['whoami']=$_POST['whoami'];}
if (!empty($_POST['whorthey'])){$_SESSION['whorthey']=$_POST['whorthey'];}
if (!empty($_SESSION['whoami'])&&!empty($_SESSION['whorthey'])){$me=$_SESSION['whoami'];$him=$_SESSION['whorthey'];}
else {$me=$relations->_members[0];$him=$me;}
if (!empty($_GET['graphviz'])) {download($relations->graphviz());}

/*
 * File Graph Generator
 */
file_put_contents($dotPath.$dotFilename,$relations->graphviz());

/*
 * File Graph Processor
 */
exec($dotCmd);

/*
 * Ihm Data Populating
 */
$who_distance=$message."<p>Distance between <i>$me</i> & <i>$him</i> is <b>".$relations->getDistance($me,$him).'</b> nodes</p>';
$who_path="<p>Path between <i>$me</i> & <i>$him</i> is ".$relations->getPath($me,$him).'</p>';

$whoamiSelector=$xhtml->makeSelect('whoami',$relations->_members,$me);
$whortheySelector=$xhtml->makeSelect('whorthey',$relations->_members,$him);
$formSelector='<form style="background:white;text-align:center" name="who" method="post">I am '.$whoamiSelector.
				' and im looking for '.$whortheySelector.$xhtml->makeSubmit('Search').'</form>';

$formSelector.='<a class="popin-open-05" href="test2.html">Popin No5</a>';

$relations->set('Pierre FROMAGER', 'New Friend');
$relations->update('Pierre FROMAGER','New Friend','New Friend Updated');
$relations->set('A New Guy', 'a New Friend');
$relations->save(); 


$who_content=$formSelector.'<hr>'.$rt.'<hr>'.$test.'<div style="text-align:center;margin-top:20px;">'.$who_distance.$who_path.'<hr>'.$nodes.'</div>';

$xhtml->setContent('who',$who_content);
$xhtml->setContent('graph',$relations->showGraph());
$xhtml->setContent('distances',$relations->showDist());
$xhtml->setContent('predecessors',$relations->showPred());

$model_content=nl2br(file_get_contents('data/txt/people.txt'));

$xhtml->setContent('models',$model_content);
$graphviz_content='<a href="index.php?graphviz=go">Get Graphviz Dot File</a>'.
'<div style="width:100%;margin-right:auto;margin-left:auto;"><img style="margin-right:auto;margin-left:auto;" src="data/images/flow.png"/></div>'.
				  '<div style="width:50%;background:white;color:black"><pre>'.$relations->graphviz().'</pre></div>';
$xhtml->setContent('graphviz',$graphviz_content);

$help_content=nl2br(file_get_contents('README'));
$xhtml->setContent('help',$help_content);

echo $xhtml;
?>