<?php
/*
 * Debug Params
 */
ini_set('error_reporting', E_ALL ^ E_NOTICE);
ini_set('display_errors', 1);
/*
 * Path Definition
 */
ini_set('include_path', ini_get('include_path').':./class/');
ini_set('include_path', ini_get('include_path').':./data/');
ini_set('include_path', ini_get('include_path').':./data/css/');
ini_set('include_path', ini_get('include_path').':./data/js/');
ini_set('include_path', ini_get('include_path').':./data/txt/');
ini_set('include_path', ini_get('include_path').':./data/images/');
ini_set('include_path', ini_get('include_path').':./inc/');
ini_set('include_path', ini_get('include_path').':./library/');
ini_set('include_path', ini_get('include_path').':./sample/');

ini_set("auto_detect_line_endings","1");
ini_set("register_argc_argv","0"); 
/*
 * Session Manager
 */
session_start();
/*
 * load Includes
 */
require_once('init.inc.php');
/*
 * load Classes
 */
require_once('relation.class.php');
require_once('html.class.php');
/*
 * Extends relation as final relations
 */
final class relations extends relation{	
	function __construct() {
		$this->_source=func_get_arg(0);		
		$this->load();
		$this->init();
		$this->build();
	}
	
}
/*
 * Instanciate Object Relations
 */
$relations=new relations('people.txt');
/*
 * Instanciate Object Xhtml
 */
$xhtml=new xhtml();

?>